GET
https://api.cryptohopper.com/v1/ai/credits/transactions
Returns the credits added to and used from your AI credit balance, newest first, up to 500, with the name of the AI that used them.
OAuth scope:
read About scopes
transaction_type is in for credits added and out for credits used. ai_id is 0 and ai_name null for transactions not tied to an AI.
Example request
curl "https://api.cryptohopper.com/v1/ai/credits/transactions" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/ai/credits/transactions', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/ai/credits/transactions",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/ai/credits/transactions');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"id": "66901",
"user_id": "123456",
"ai_id": "87001",
"transaction_type": "out",
"total_credits": "0.50",
"description": "AI Credits use",
"created": "2026-09-25 08:00:04",
"ai_name": "My BTC AI"
}
]
}